<?php

namespace App\Services\PwHexParser\Types;

use App\Services\PwHexParser\Contracts\Translate;

class SoulStone extends Translate
{
    protected string $typeKey = 'SoulStone';

    public function getStructure(): array
    {
        return [
            'w_addons_count' => 'addons_count',
            'addons' => 'addons',
        ];
    }

    public function getMinimumLength(): int
    {
        return 32;
    }
}